Qt API | Qtopia API | Qtopia Documentation |

# CardMonitor Class Reference

The CardMonitor class provides a widget to monitor CF cards. More...

`#include <cardmon.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- CardMonitor ( QWidget * parent = 0 )
- ~CardMonitor ()
- bool getStatus ( void )

## Protected Members

- virtual void paintEvent ( QPaintEvent * )
- virtual void mousePressEvent ( QMouseEvent * )

## Detailed Description

The CardMonitor class provides a widget to monitor CF cards.

The CardMonitor applet is distributed under the terms of the GNU General Public License, Version 2. The CardMonitor applet monitors PCMCIA and CF card insertion and removal. The author and primary copyright holder of the CardMonitor applet is Devin Butterfield <dbutter@wireless.net>.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.